matrix:
  platform:
  - ubuntu2004
  - macos
  - macos_arm64
  bazel:
  - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - "@pinocchio//:*"
bcr_test_module:
  module_path: .
  matrix:
    platform:
    - ubuntu2004
    - macos
    - macos_arm64
    bazel:
    - 7.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - "@pinocchio//:*"
      test_targets:
      - "@pinocchio//:*"
